<!doctype html><html lang="en_US"><head><link media="all" href="https://starter.test/wp-content/cache/autoptimize/css/autoptimize_52e37620db38dba78b7219183d81a253.css" rel="stylesheet" /><title>Index</title><meta charset="UTF-8"><meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0"><meta http-equiv="X-UA-Compatible" content="ie=edge"><meta name='robots' content='max-image-preview:large' /><link rel='dns-prefetch' href='//code.jquery.com' /><link rel='dns-prefetch' href='//cdn.jsdelivr.net' /><link rel='dns-prefetch' href='//s.w.org' /><link rel='stylesheet' id='bootstrap-css'  href='https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css?ver=5.8.2' type='text/css' media='all' /><link rel='stylesheet' id='slick-slider-css'  href='https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css?ver=5.8.2' type='text/css' media='all' /> <script type='text/javascript' src='https://code.jquery.com/jquery-3.6.0.min.js?ver=5.8.2' id='jquery-js'></script> <script type='text/javascript' src='https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js?ver=5.8.2' id='bootstrap-js'></script> <script type='text/javascript' src='https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.min.js?ver=5.8.2' id='slick-slider-js'></script> <link rel="https://api.w.org/" href="https://starter.test/wp-json/" /><link rel="alternate" type="application/json" href="https://starter.test/wp-json/wp/v2/pages/128" /><link rel="EditURI" type="application/rsd+xml" title="RSD" href="https://starter.test/xmlrpc.php?rsd" /><link rel="wlwmanifest" type="application/wlwmanifest+xml" href="https://starter.test/wp-includes/wlwmanifest.xml" /><meta name="generator" content="WordPress 5.8.2" /><link rel="canonical" href="https://starter.test/" /><link rel='shortlink' href='https://starter.test/' /><link rel="alternate" type="application/json+oembed" href="https://starter.test/wp-json/oembed/1.0/embed?url=https%3A%2F%2Fstarter.test%2F" /><link rel="alternate" type="text/xml+oembed" href="https://starter.test/wp-json/oembed/1.0/embed?url=https%3A%2F%2Fstarter.test%2F&#038;format=xml" /></head><body><header class="border-bottom pt-3 pb-3"><div class="container"><div class="row"><div class="col-4"> <b>CODING STYLE</b><span class="d-none d-lg-inline"> | DEMO Project</span></div><div class="col-8 text-end"><div class="menu"><ul><li class="page_item page-item-128 current_page_item"><a href="https://starter.test/" aria-current="page">Index</a></li></ul></div></div></div></div></header><section id="explainer" class="explainer"><div class="container"><div class="row"><div class="mb-4 mb-lg-0 col-12 col-lg-6 pe-md-5"><p class="title"> WHAT AM I LOOKING AT?</p><p class="text"> I will never share any source code with unauthorized people. That is great for my employers, but not so good for me, since I have nothing to show when I search for a new position. And that is exactly why I made this mini project - to have some source code showing my coding style without affecting the privacy & security of my past clients.</p></div><div class="mb-4 mb-lg-0 col-12 col-lg-3 pe-md-5"><p class="title"> HOW DO I ACCESS THE CODE?</p><p class="text"> I made the code public, available on my Gilab account - <a href="https://gitlab.com/imaweb.sk/wp-acf-with-gutenberg" target="_blank">have a look here</a>.</p></div><div class="col-12 col-lg-3"><p class="title"> HOW DO I ACCESS WP ADMIN?</p><p class="text"> Write me on LinkedIn and will be glad to provide the credentials - <a href="https://linkedin.com/in/martin-hlavacka" target="_blank">get in touch</a>.</p></div></div></div></section><main><section
 class="section-slider"
 style="
 background-color: #ffffff;
 padding-top: 120px;
 padding-bottom: 120px;
 "
><div class="container"><div class="slick-arrows-holder position-relative"><div class="slick-arrows overflow-auto"><div
 class="slick-arrow slick-arrow-back slick-arrow-back-366601739 float-start"
 style="margin-top:175px;"
 > <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chevron-left" viewBox="0 0 16 16"> <path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/> </svg></div><div
 class="slick-arrow slick-arrow-next slick-arrow-next-366601739 float-end"
 style="margin-top:175px;"
 > <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chevron-right" viewBox="0 0 16 16"> <path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/> </svg></div></div></div><div
 class="slick"
 data-slick='{
 "slidesToShow": 3,
 "slidesToScroll": 1,
 "prevArrow": ".slick-arrow-back-366601739",
 "nextArrow": ".slick-arrow-next-366601739",
 "autoplay": true,
 "autoplaySpeed": 2000,
 "lazyLoad": "ondemand",
 "responsive": [
 {
 "breakpoint": "1200",
 "settings": {
 "slidesToShow": 2,
 "slidesToScroll": 1
 }
 },
 {
 "breakpoint": "992",
 "settings": {
 "slidesToShow": 1,
 "slidesToScroll": 1
 }
 }
 ]
 }'
 ><div
 class="lazyload single-slide"
 data-bg="https://starter.test/wp-content/uploads/2021/12/XW7hPn3toZ8-768x512.jpg" style="
 background-image: url(data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20500%20300%22%3E%3C/svg%3E);
 height: 400px;
 "
 ><div class="slide-text"><h2> Title</h2><p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur et lacus sit amet sapien egestas lobortis at sed ante. Integer at convallis nunc, at pulvinar est.</p></div></div><div
 class="lazyload single-slide"
 data-bg="https://starter.test/wp-content/uploads/2021/12/6GpOki12cdE-768x960.jpg" style="
 background-image: url(data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20500%20300%22%3E%3C/svg%3E);
 height: 400px;
 "
 ><div class="slide-text"><h2> Title</h2><p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur et lacus sit amet sapien egestas lobortis at sed ante. Integer at convallis nunc, at pulvinar est.</p></div></div><div
 class="lazyload single-slide"
 data-bg="https://starter.test/wp-content/uploads/2021/12/f2cyEeuL-wI-768x512.jpg" style="
 background-image: url(data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20500%20300%22%3E%3C/svg%3E);
 height: 400px;
 "
 ><div class="slide-text"><h2> Title</h2><p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur et lacus sit amet sapien egestas lobortis at sed ante. Integer at convallis nunc, at pulvinar est.</p></div></div><div
 class="lazyload single-slide"
 data-bg="https://starter.test/wp-content/uploads/2021/12/B2rmp8IBp2E-768x512.jpg" style="
 background-image: url(data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20500%20300%22%3E%3C/svg%3E);
 height: 400px;
 "
 ><div class="slide-text"><h2> Title</h2><p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur et lacus sit amet sapien egestas lobortis at sed ante. Integer at convallis nunc, at pulvinar est.</p></div></div><div
 class="lazyload single-slide"
 data-bg="https://starter.test/wp-content/uploads/2021/12/cPSfi2bUcYM-768x1152.jpg" style="
 background-image: url(data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20500%20300%22%3E%3C/svg%3E);
 height: 400px;
 "
 ><div class="slide-text"><h2> Title</h2><p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur et lacus sit amet sapien egestas lobortis at sed ante. Integer at convallis nunc, at pulvinar est.</p></div></div><div
 class="lazyload single-slide"
 data-bg="https://starter.test/wp-content/uploads/2021/12/bZWyJlAUs3g-768x1152.jpg" style="
 background-image: url(data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20500%20300%22%3E%3C/svg%3E);
 height: 400px;
 "
 ><div class="slide-text"><h2> Title</h2><p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur et lacus sit amet sapien egestas lobortis at sed ante. Integer at convallis nunc, at pulvinar est.</p></div></div><div
 class="lazyload single-slide"
 data-bg="https://starter.test/wp-content/uploads/2021/12/BTj8v6dACaQ-768x1047.jpg" style="
 background-image: url(data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20500%20300%22%3E%3C/svg%3E);
 height: 400px;
 "
 ><div class="slide-text"><h2> Title</h2><p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur et lacus sit amet sapien egestas lobortis at sed ante. Integer at convallis nunc, at pulvinar est.</p></div></div><div
 class="lazyload single-slide"
 data-bg="https://starter.test/wp-content/uploads/2021/12/GFKtkfg7Img-768x512.jpg" style="
 background-image: url(data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20500%20300%22%3E%3C/svg%3E);
 height: 400px;
 "
 ><div class="slide-text"><h2> Title</h2><p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur et lacus sit amet sapien egestas lobortis at sed ante. Integer at convallis nunc, at pulvinar est.</p></div></div><div
 class="lazyload single-slide"
 data-bg="https://starter.test/wp-content/uploads/2021/12/Ox6Gqare0Jc-768x512.jpg" style="
 background-image: url(data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20500%20300%22%3E%3C/svg%3E);
 height: 400px;
 "
 ><div class="slide-text"><h2> Title</h2><p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur et lacus sit amet sapien egestas lobortis at sed ante. Integer at convallis nunc, at pulvinar est.</p></div></div><div
 class="lazyload single-slide"
 data-bg="https://starter.test/wp-content/uploads/2021/12/uEJzNM9BHIo-768x1152.jpg" style="
 background-image: url(data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20500%20300%22%3E%3C/svg%3E);
 height: 400px;
 "
 ><div class="slide-text"><h2> Title</h2><p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur et lacus sit amet sapien egestas lobortis at sed ante. Integer at convallis nunc, at pulvinar est.</p></div></div></div></div></section><section class="section-content-image"><div class="container"><div class="row"><div class="col-md-6"> <img
 src="https://starter.test/wp-content/uploads/2021/12/pexels-moose-photos-1586996-768x513.jpg"
 class="img-fluid"
 ></div><div class="col-md-6 ps-md-5"><h3> Sooo Martin!</h3><h2> What should I look at?</h2><div><p><strong>In code</strong></p><ul><li>Functions in &#8220;Starter&#8221; theme</li><li>Structure of the theme</li><li>Modules in &#8220;Flexible content&#8221; folder</li></ul><p><strong>In admin panel</strong></p><ul><li>Index page</li><li>Custom fields</li><li>Plugins I use</li></ul></div></div></div></div></section></main><footer class="border-top pt-3 pb-3"><div class="container"> Martin Hlavacka, Example of coding style, 2021-22</div></footer> <noscript><style>.lazyload{display:none;}</style></noscript><script data-noptimize="1">window.lazySizesConfig=window.lazySizesConfig||{};window.lazySizesConfig.loadMode=1;</script><script async data-noptimize="1" src='https://starter.test/wp-content/plugins/autoptimize/classes/external/js/lazysizes.min.js?ao_version=2.9.4'></script> <script defer src="https://starter.test/wp-content/cache/autoptimize/js/autoptimize_1f5bf8c94fad56717aa64b022c5b2414.js"></script></body></html>
<!-- Dynamic page generated in 0.522 seconds. -->
<!-- Cached page generated by WP-Super-Cache on 2021-12-28 13:29:18 -->

<!-- super cache -->